org.jbpm.runtime.manager.impl.migration

## Class MigrationEntry

- java.lang.Object
- - org.jbpm.runtime.manager.impl.migration.MigrationEntry

- All Implemented Interfaces:
    Serializable

      public class MigrationEntry
      extends Object
      implements Serializable

  Represent single entry of the process instance migration. Entry is classified as:
  - INFO - information about performed operation
  - WARN - indicates of possible issues or not recommended settings
  - ERROR - indicates a failure within process instance migration and rollback
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MigrationEntry.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationEntry(MigrationEntry.Type type, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `Date` | `getTimestamp()`
    `MigrationEntry.Type` | `getType()`
    `void` | `setMessage(String message)`
    `void` | `setTimestamp(Date timestamp)`
    `void` | `setType(MigrationEntry.Type type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrationEntry

          public MigrationEntry(MigrationEntry.Type type,
                                String message)

  - ### Method Detail

    - #### getTimestamp

          public Date getTimestamp()

    - #### setTimestamp

          public void setTimestamp(Date timestamp)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage(String message)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getType

          public MigrationEntry.Type getType()

    - #### setType

          public void setType(MigrationEntry.Type type)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.